function [U, Ir, Iz] = skala(datoteka)
K = feval(datoteka);
[U0,Rz,Zr] = deal(K.U0,K.Rz,K.Zr);
n =length(Rz);
Iz(n,1) = 1;
Ir(n,1) = 1;
U(n,1) = Rz(n)*Iz(n);
for i = n-1:-1:1
    U(i) = U(i+1) + Zr(i+1)*Ir(i+1);
    Iz(i) = U(i)/Rz(i);
    Ir(i) = Ir(i+1) + Iz(i);
end
U0_presm = U(1) + Zr(1)*Ir(1);
k = U0/U0_presm;
U = k*U;
Ir = k*Ir;
Iz = k* Iz;
