function Rm = r_meg_2_lenti_int(datoteka)
Z = feval(datoteka); rho = Z.rho; L = Z.L;
[xp,yp,zp,xk,yk,zk] = ...
    deal(L(:,1),L(:,2),L(:,3),L(:,4),L(:,5),L(:,6));
d1 = sqrt((xk(1)-xp(1))^2 + (yk(1)-yp(1))^2 + (zk(1)-zp(1))^2);
f = @(t) nojman_2_lenti(t, xp, yp, zp, xk, yk, zk, d1);
Rm = rho/(4*pi*d1)*integral(f,0,1);
