function Rm = r_meg_n_lenti_int(datoteka)
Z = feval(datoteka); rho = Z.rho; L = Z.L;
[xp,yp,zp,xk,yk,zk] = ...
    deal(L(:,1),L(:,2),L(:,3),L(:,4),L(:,5),L(:,6));
n = length(xp);
Rm = zeros(n);
for i = 1:n
  d1 = sqrt((xk(i)-xp(i))^2 + (yk(i)-yp(i))^2 + (zk(i)-zp(i))^2);
  for j = i+1:n
      ij = [i j];
      [xp1,yp1,zp1,xk1,yk1,zk1] = ...
          deal(xp(ij),yp(ij),zp(ij),xk(ij),yk(ij),zk(ij));
      f = @(t) nojman_2_lenti(t,xp1,yp1,zp1,xk1,yk1,zk1,d1);
      Rm(i,j) = rho/(4*pi*d1)*integral(f,0,1);
      Rm(j,i) = Rm(i,j);
  end
end
