function [Y,f,t,Yr,Yp,n] = matrica_y(zs)
G = zs.granki;
[f,t,Yr,Yp] = deal(G(:,1),G(:,2),1./G(:,3),G(:,4));
n = max([f;t]); m = size(G,1);
A =   sparse(1:m, f, ones(m, 1), m, n) ...
    - sparse(1:m, t, ones(m, 1), m, n);
Y =   A' * sparse(1:m,1:m,Yr) * A ...
    + sparse(f, f, Yp, n, n) ...
    + sparse(t, t, Yp, n, n) ...
    + sparse(1:n, 1:n, 1./zs.Rz);
Y(1,1) = Y(1,1) + sum(1./zs.Zv);
