function [Zvl,k,Zp,Yp] = neizolian_param(rho,l,h,dk,z,Z2)
Rz = rho/(pi*l*1000)*log(l*1000/sqrt(h*dk));
g = 1/(Rz*l);
gama = sqrt(z*g);
Zc = sqrt(z/g);
Zvl = Zc*(cosh(gama*l) + Zc/Z2*sinh(gama*l)) ...
    /(sinh(gama*l) + Zc/Z2*cosh(gama*l));
k = 1/(cosh(gama*l) + Zc/Z2*sinh(gama*l));
Zp = Zc*sinh(gama*l);
Yp = (cosh(gama*l)-1)/Zp;
