l = 10; rho = 100; Iz = 10; Uz = 122.65;
figure; axis equal; hold on
for fi = 10:5:50
    K = exp(4*pi*l*(fi/100*Uz)/(rho*Iz));
    a = (K + 1)/(K - 1)*l/2;
    b = 2*sqrt(K)/(K - 1)*l/2;
    alfa = (0:10:360)/180*pi;
    x = a*cos(alfa);
    y = b*sin(alfa);
    plot(x,y,'-k');
end
xlim([-8 8]); ylim([-7 7]);
