rhoz = 100; h = 0.7; l = 200; d = 7.5e-03; S = 35; rho_Cu = 18;
De = 658 * sqrt(rhoz / 50);
Rz = rhoz / (pi*l) * log( l / sqrt(h*d) )
r = 0.05 + rho_Cu / S;
x = 0.1445*log10( 2*De/d ) + 0.0157;
z = r + 1j*x;
y = 1000 * pi / rhoz / log( l /sqrt(h * d) );
gama = sqrt(z * y);
Zc = sqrt(z / y);
gl = gama * (l/1000);
ZP = Zc * sinh(gl)
YP = (cosh(gl) - 1) / ZP
Zvl = Zc * cosh(gl) / sinh(gl)
ku = abs(Rz / Zvl)
