function I = nojman_2_lenti(t, xp, yp, zp, xk, yk, zk, d1)
xt = xp(2) + t*(xk(2)-xp(2));
yt = yp(2) + t*(yk(2)-yp(2));
zt = zp(2) + t*(zk(2)-zp(2));
dx1 = xt-xp(1);
dy1 = yt-yp(1);
dz1 = zt-zp(1);
dx2 = xt-xk(1);
dy2 = yt-yk(1);
dz2 = zt-zk(1);
r1 = sqrt(dx1.^2 + dy1.^2 + dz1.^2);
r2 = sqrt(dx2.^2 + dy2.^2 + dz2.^2);
I = log((r1+r2+d1)./(r1+r2-d1));
