function Rm = r_meg_2_lenti_sum(datoteka,nt)
Z = feval(datoteka); rho = Z.rho; L = Z.L;
[xp,yp,zp,xk,yk,zk] = ...
    deal(L(:,1),L(:,2),L(:,3),L(:,4),L(:,5),L(:,6));
d1 = sqrt((xk(1)-xp(1))^2 + (yk(1)-yp(1))^2 + (zk(1)-zp(1))^2);
xt = linspace(xp(2),xk(2),nt);
yt = linspace(yp(2),yk(2),nt);
zt = linspace(zp(2),zk(2),nt);
r1 = sqrt((xp(1)-xt).^2 + (yp(1)-yt).^2 + (zp(1)-zt).^2);
r2 = sqrt((xk(1)-xt).^2 + (yk(1)-yt).^2 + (zk(1)-zt).^2);
fi = rho/(4*pi*d1)*log((r1+r2+d1)./(r1+r2-d1));
Rm = mean(fi);
