function R = r_meg_n_lenti(datoteka)
Z = feval(datoteka); rho = Z.rho; L = Z.L;
[xp,yp,zp,xk,yk,zk] = ...
    deal(L(:,1),L(:,2),L(:,3),L(:,4),L(:,5),L(:,6));
n = length(xp);
R = zeros(n);
for i = 1:n
  d1 = sqrt((xk(i)-xp(i))^2 + (yk(i)-yp(i))^2 + (zk(i)-zp(i))^2);
  for j = i+1:n
      k = [i j];
      [xp1,yp1,zp1,xk1,yk1,zk1] = ...
          deal(xp(k),yp(k),zp(k),xk(k),yk(k),zk(k));
      f = @(t) nojman_2_lenti(t,xp1,yp1,zp1,xk1,yk1,zk1,d1);
      R(i,j) = rho/(4*pi*d1)*integral(f,0,1);
      R(j,i) = R(i,j);
  end
end
