function [Y,n] = mat_y(datoteka)
vod = feval(datoteka);
[Rs,Zr] = deal(vod.Rs,vod.Zr);
n = length(vod.Rs);
Y = sparse(n,n);
Y(1,1) = 1/Zr(1) + 1/Rs(1);
for k = 2:n-1
    Y(k,k) = 1/Zr(k-1) + 1/Zr(k) + 1/Rs(k);
end
Y(n,n) = 1/Zr(n-1) + 1/Rs(n);
for k = 2:n
    Y(k,k-1) = -1/Zr(k-1);
    Y(k-1,k) = Y(k,k-1);
end
