function U = vod_naponi_opsto(datoteka,Ik1,Ik2,k)
vod = feval(datoteka);
[Y,n] = mat_y(datoteka);
Y(1,1) = Y(1,1) + 1/vod.Zp;
Y(n,n) = Y(n,n) + 1/vod.Zq;
rf = 1 - vod.zm/vod.z;
Jp = (1-rf) * Ik1;
Jq = (1-rf) * Ik2;
Jk = rf * (Ik1 + Ik2);
I = zeros(n,1);
I(1) = Jp;
I(k) = Jk;
I(n) = Jq;
U = Y\I;
