Z = zraci3;
[R,Rz,Uz,I,L] = zaz(Z);
I = [I; I];
[X,Y] = meshgrid(-7:0.25:7,-7:0.25:7);
[m,n] = size(X);
fi = zeros(m,n);
for i = 1:m
    for j = 1:n
        T = [X(i,j) Y(i,j) 0];
        fi(i,j) = pot_tocka(T,I,L,Z.rho)/Uz*100;
    end
end
[Gx, Gy] = gradient(-fi,0.25,0.25);
Ec = sqrt(Gx.^2 + Gy.^2);
vo = inpolygon(X,Y,Z.gabarit(:,1),Z.gabarit(:,2));
Ec = Ec.*vo;
Ecmax = max(Ec(:));
i = find(Ec == Ecmax);
Xi = X(i); Yi = Y(i);
Xj = Xi + Gx(i)/Ecmax;
Yj = Yi + Gy(i)/Ecmax;
